import { otherHttp } from '/@/utils/http/axios'

enum Api {
    zoneList = '/online/cgform/api/getData/01fd687ecb164aea914e92047e144d66', // 金刚区菜单数据
    warningInfo = '/tianditu/warningInfo', // 金刚区菜单数据
    productMarketList = '/online/cgform/api/getData/5b71e11020d44366b2d130e200c7a640', // 热门产地行情
    serviceStatsList = '/online/cgform/api/getData/491863dde351404da63a1a6e8c699c4c', // 服务展示窗
    agricultureClassList = '/online/cgform/api/getData/311c300e05694ba69a063d04c8572e9e', // 农技课堂
    warning = '/warningInfo/list',

    postConsultRecordAdd = '/server/consultRecord/add', // 添加咨询信息
    getNewsList = '/news/list', // 分页列表查询
}

/**
 * @param params 添加
 * @description: 添加咨询信息
 */
export function postConsultRecordAdd(params = {}) {
    return otherHttp.post({
        url: Api.postConsultRecordAdd,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 金刚区菜单数据
 */
export function zoneList(params = {}) {
    return otherHttp.get({
        url: Api.zoneList,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 天气通知数据
 */
export function warningInfo(params = {}) {
    return otherHttp.post({
        url: Api.warningInfo,
        params,
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded',
        },
    })
}

/**
 * @param params 请求参数
 * @description: 热门产地行情数据
 */
export function productMarketList(params = {}) {
    return otherHttp.get({
        url: Api.productMarketList,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 服务展示窗数据
 */
export function serviceStatsList(params = {}) {
    return otherHttp.get({
        url: Api.serviceStatsList,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 农技课堂数据
 */
export function agricultureClassList(params = {}) {
    return otherHttp.get({
        url: Api.agricultureClassList,
        params,
    })
}

/**
 * @param params 请求参数
 * @returns 获取预警数据
 */
export function warning(params = {}) {
    return otherHttp.get({
        url: Api.warning,
        params,
    })
}
